> ## Documentation Index
> Fetch the complete documentation index at: https://docs.scrapebadger.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get place details

> Get place details



## OpenAPI

````yaml GET /v1/google/maps/place
openapi: 3.1.0
info:
  title: ScrapeBadger Google Scraper
  description: >-
    Dedicated API for scraping Google products (SERP, Maps, News, Hotels,
    Trends, Jobs, Shopping, Patents, Scholar, Autocomplete, Images, Videos,
    Finance, AI Mode, Lens, Products).
  version: 1.0.0
servers:
  - url: https://scrapebadger.com
    description: Production
security:
  - apiKeyAuth: []
paths:
  /v1/google/maps/place:
    get:
      tags:
        - Google Maps
      summary: Get place details
      description: |-
        Get detailed place information from Google Maps via the protobuf API.

        Requires either ``place_id`` (e.g. ``ChIJN1t_tDeuEmsRUsoyG83frY4``) or
        ``data_id`` (e.g. ``0x89c259617ae5b78b:0xe919ce17bb09920e``). The
        data_id is available in the ``data_id`` field of ``/maps/search``
        results. Returns name, address, rating, review count, phone, website,
        GPS coordinates, categories, and up to 20 photo URLs.
      operationId: maps_place_api_v1_maps_place_get
      parameters:
        - name: place_id
          in: query
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            description: Google place ID (ChIJ...)
            title: Place Id
          description: Google place ID (ChIJ...)
        - name: data_id
          in: query
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            description: Google Maps data ID (0x...:0x...)
            title: Data Id
          description: Google Maps data ID (0x...:0x...)
        - name: hl
          in: query
          required: false
          schema:
            type: string
            description: Language code
            default: en
            title: Hl
          description: Language code
        - name: gl
          in: query
          required: false
          schema:
            type: string
            description: Country code
            default: us
            title: Gl
          description: Country code
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/MapsPlaceResponse'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
components:
  schemas:
    MapsPlaceResponse:
      properties:
        place:
          $ref: '#/components/schemas/MapsPlaceDetail'
      type: object
      required:
        - place
      title: MapsPlaceResponse
      description: Response for GET /api/v1/maps/place.
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    MapsPlaceDetail:
      properties:
        title:
          type: string
          title: Title
        place_id:
          anyOf:
            - type: string
            - type: 'null'
          title: Place Id
        data_id:
          anyOf:
            - type: string
            - type: 'null'
          title: Data Id
        data_cid:
          anyOf:
            - type: string
            - type: 'null'
          title: Data Cid
        rank:
          anyOf:
            - type: integer
            - type: 'null'
          title: Rank
        rating:
          anyOf:
            - type: number
            - type: 'null'
          title: Rating
        reviews_count:
          anyOf:
            - type: integer
            - type: 'null'
          title: Reviews Count
        price_level:
          anyOf:
            - type: string
            - type: 'null'
          title: Price Level
        type:
          anyOf:
            - type: string
            - type: 'null'
          title: Type
        types:
          items:
            type: string
          type: array
          title: Types
        type_ids:
          items:
            type: string
          type: array
          title: Type Ids
        extensions:
          additionalProperties:
            additionalProperties: true
            type: object
          type: object
          title: Extensions
        address:
          anyOf:
            - type: string
            - type: 'null'
          title: Address
        phone:
          anyOf:
            - type: string
            - type: 'null'
          title: Phone
        website:
          anyOf:
            - type: string
            - type: 'null'
          title: Website
        gps_coordinates:
          anyOf:
            - $ref: '#/components/schemas/GpsCoordinates'
            - type: 'null'
        open_state:
          anyOf:
            - type: string
            - type: 'null'
          title: Open State
        hours:
          anyOf:
            - type: string
            - type: 'null'
          title: Hours
        operating_hours:
          additionalProperties:
            type: string
          type: object
          title: Operating Hours
        description:
          anyOf:
            - type: string
            - type: 'null'
          title: Description
        thumbnail:
          anyOf:
            - type: string
            - type: 'null'
          title: Thumbnail
        image:
          anyOf:
            - type: string
            - type: 'null'
          title: Image
          description: Full-size image URL (same CDN as thumbnail but larger)
        google_maps_url:
          anyOf:
            - type: string
            - type: 'null'
          title: Google Maps Url
        reviews_link:
          anyOf:
            - type: string
            - type: 'null'
          title: Reviews Link
        photos_link:
          anyOf:
            - type: string
            - type: 'null'
          title: Photos Link
        posts_link:
          anyOf:
            - type: string
            - type: 'null'
          title: Posts Link
        service_options:
          anyOf:
            - $ref: '#/components/schemas/MapsServiceOptions'
            - type: 'null'
        provider_id:
          anyOf:
            - type: string
            - type: 'null'
          title: Provider Id
        rating_breakdown:
          additionalProperties:
            type: integer
          type: object
          title: Rating Breakdown
        order_online_urls:
          items:
            type: string
          type: array
          title: Order Online Urls
        photos:
          items:
            type: string
          type: array
          title: Photos
      type: object
      required:
        - title
      title: MapsPlaceDetail
      description: Detailed place information.
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
        input:
          title: Input
        ctx:
          type: object
          title: Context
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
    GpsCoordinates:
      properties:
        lat:
          type: number
          title: Lat
        lng:
          type: number
          title: Lng
      type: object
      required:
        - lat
        - lng
      title: GpsCoordinates
      description: GPS coordinates.
    MapsServiceOptions:
      properties:
        dine_in:
          anyOf:
            - type: boolean
            - type: 'null'
          title: Dine In
        takeout:
          anyOf:
            - type: boolean
            - type: 'null'
          title: Takeout
        delivery:
          anyOf:
            - type: boolean
            - type: 'null'
          title: Delivery
        curbside_pickup:
          anyOf:
            - type: boolean
            - type: 'null'
          title: Curbside Pickup
      type: object
      title: MapsServiceOptions
      description: Service options for a business.
  securitySchemes:
    apiKeyAuth:
      type: apiKey
      in: header
      name: x-api-key

````